#
# Conditional build:
%bcond_with	tests		# test suite

%define		kdeappsver	25.04.0
%define		qtver		5.15.2
%define		kaname		tokodon
Summary:	A modern Mastodon client
Summary(pl.UTF-8):	Nowoczesny klient Mastodona
Name:		ka6-%{kaname}
Version:	25.04.0
Release:	1
License:	GPL v3+
Group:		X11/Applications/Editors
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	3d94ad7b3dc47ca66db2b8c871581c94
URL:		https://apps.kde.org/tokodon/
BuildRequires:	Qt6Core-devel
BuildRequires:	Qt6Gui-devel >= 5.15.2
BuildRequires:	Qt6Keychain-devel
BuildRequires:	Qt6Multimedia-devel
BuildRequires:	Qt6Network-devel >= 5.15.2
BuildRequires:	Qt6Qml-devel >= 5.15.9
BuildRequires:	Qt6Quick-devel
BuildRequires:	Qt6Svg-devel
BuildRequires:	Qt6Test-devel
BuildRequires:	Qt6WebSockets-devel
BuildRequires:	Qt6WebView-devel
BuildRequires:	Qt6Widgets-devel >= 5.15.2
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel
BuildRequires:	gettext-devel
BuildRequires:	kf6-extra-cmake-modules >= 5.77.0
BuildRequires:	kf6-kauth-devel >= 5.105.0
BuildRequires:	kf6-kcodecs-devel >= 5.105.0
BuildRequires:	kf6-kcompletion-devel >= 5.105.0
BuildRequires:	kf6-kconfigwidgets-devel >= 5.105.0
BuildRequires:	kf6-kcoreaddons-devel >= 5.105.0
BuildRequires:	kf6-kdbusaddons-devel >= 5.77.0
BuildRequires:	kf6-ki18n-devel >= 5.77.0
BuildRequires:	kf6-kio-devel >= 5.77.0
BuildRequires:	kf6-kirigami-addons-devel >= 0.7.2
BuildRequires:	kf6-kirigami-devel >= 5.77.0
BuildRequires:	kf6-kitemviews-devel >= 5.105.0
BuildRequires:	kf6-kjobwidgets-devel >= 5.105.0
BuildRequires:	kf6-knotifications-devel >= 5.77.0
BuildRequires:	kf6-kservice-devel >= 5.105.0
BuildRequires:	kf6-kwidgetsaddons-devel >= 5.105.0
BuildRequires:	kf6-kwindowsystem-devel >= 5.77.0
BuildRequires:	kf6-kxmlgui-devel >= 5.105.0
BuildRequires:	kf6-qqc2-desktop-style-devel
BuildRequires:	kf6-solid-devel >= 5.105.0
BuildRequires:	mpv-client-devel
BuildRequires:	mpvqt-devel
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	shared-mime-info
Requires:	%{name}-data = %{version}-%{release}
Obsoletes:	ka5-tokodon < 24
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A modern Mastodon (<https://joinmastodon.org/>) client.

%description -l pl.UTF-8
Nowoczesny klient serwisu Mastodon (<https://joinmastodon.org/>).

%prep
%setup -q -n %{kaname}-%{version}

%package data
Summary:	Data files for %{kaname}
Summary(pl.UTF-8):	Dane dla %{kaname}
Group:		X11/Applications
Obsoletes:	ka5-tokodon-data < 24
BuildArch:	noarch

%description data
Data files for %{kaname}.

%description data -l pl.UTF-8
Dane dla %{kaname}.

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%{?with_tests:%ninja_build test}

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/tokodon
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/purpose/tokodonplugin.so

%files data -f %{kaname}.lang
%defattr(644,root,root,755)
%{_desktopdir}/org.kde.tokodon.desktop
%{_iconsdir}/hicolor/scalable/apps/org.kde.tokodon.svg
%{_datadir}/knotifications6/tokodon.notifyrc
%{_datadir}/metainfo/org.kde.tokodon.appdata.xml
%{_datadir}/qlogging-categories6/tokodon.categories
%changelog
* Wed Apr 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-tokodon.git;a=log;h=master

* Thu Apr 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> b365ac1
- updated to 25.04.0

* Fri Mar 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 73768a5
- updated to 24.12.3

* Sat Feb 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 8062bc4
- updated to 24.12.2

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 479094e
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> da539ea
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 09ddbe3
- updated to 24.08.3

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> e006d92
- pl

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> a817468
- macros for ninja, rpm for noarch subpackage

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> 660b5db
- updated kirigami-addons package name

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> cd0abbb
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d983878
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e23183c
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ae7d01c
- data subpackage

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a6b2ad6
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6838490
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 05b69c3
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 809f584
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 74b8936
- updated to 24.02.1

* Mon Mar 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9513ff9
- updated to 24.02.0

